## libneedle-ruby 1.2.1-1

=== debian/changelog ===
libneedle-ruby (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed,  3 Aug 2005 16:31:31 +0900

libneedle-ruby (1.2.0-2) unstable; urgency=low

  * add ruby1.8 in Build-depends. (Closes: #302347)

 -- Tatsuki Sugiura <sugi@nemui.org>  Fri,  1 Apr 2005 10:22:21 +0900

libneedle-ruby (1.2.0-1) unstable; urgency=low

  * Initial Release.

 -- Tatsuki Sugiura <sugi@nemui.org>  Fri, 10 Dec 2004 07:23:47 +0900
