=== debian/control ===
Source: libneedle-ruby
Section: interpreters
Priority: optional
Maintainer: Tatsuki Sugiura <sugi@nemui.org>
Build-Depends-Indep: debhelper (>= 4.0.0), ruby1.8
Standards-Version: 3.6.2.0

Package: libneedle-ruby1.8
Architecture: all
Provides: libneedle-ruby
Suggests: libneedle-extras-ruby1.8
Description: dependency injector for ruby
 Needle is a dependency-injection/inversion-of-control container for Ruby,
 which takes advantage of Ruby's dynamic nature to provide a rich and
 powerful interface for managing dependencies.
