=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
http://rubyforge.org/frs/?group_id=410&release_id=1101 \
	(?:.*/)?needle-([\d.]+)\.tar\.gz \
	debian uupdate
